Cookie

Wget-SSL-Fehler

Veröffentlicht von TheJoe am

Geschätzte Lesezeit: < 1 Minute

Vorsicht


Dieser Artikel wurde mehr als vor einem Jahr veröffentlicht, Es gab Entwicklungen können.
Bitte berücksichtigen Sie dies.

Der wget-Fehler, über den wir heute sprechen, kann aus mehreren Gründen auftreten. Es kann sein, dass wget https-Downloads aufgrund der Sicherheitsprotokolloptionen nicht richtig unterstützt, oder für Zertifikatsfehler, oder mehr.

Normalerweise wird der Befehl wget verwendet, um Dateien aus dem Internet über das Terminal herunterzuladen.

Lösung

Meistens tritt der Fehler auf, wenn wget Downloads über https nicht unterstützt. In diesem Fall müssen Sie das vom Server verwendete Protokoll angeben (meistens TLSv1 oder TLSv2).

Mit dem folgenden Befehl beauftragen wir wget mit dem zu verwendenden Protokoll und lösen das Problem.

wget --secure-protocol=TLSv1 https://updatesfirma.aruba.it/downloads_ak/AK_LINUX_VERSION.zip
Schau hier:  Sicherheit: Wählen Sie ein Passwort

TheJoe

Ich halte diesen Blog als ein Hobby von 2009. Ich bin begeistert von Grafik, Technologie, Open Source Software. Unter meinen Artikel wird nicht schwierig sein, über die Musik finden, und einige persönliche Reflexionen, aber ich bevorzuge die direkte Linie des Blogs vor allem auf Technologie. Weitere Informationen Kontaktieren Sie mich.

0 Kommentare

Hinterlasse eine Antwort

Avatar-Platzhalter

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind markiert *

Diese Website verwendet Akismet, um Spam zu reduzieren. Erfahre mehr darüber, wie deine Kommentardaten verarbeitet werden.